package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class ClownFishEntity extends FishEntity
{
	public static final String ID = "ClownFish";
	
	public static final int PRIMARY_EGG_COLOUR = 0xFF8000;
	public static final int SECONDARY_EGG_COLOUR = 0xFFFFFF;
	
	public ClownFishEntity(World world)
	{
		super(world, Species.ClownFish, 0.2, new FishScaleItem[]{ModItemRegistry.OrangeFishScale, ModItemRegistry.WhiteFishScale, ModItemRegistry.BlackFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new ClownFishEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedClownFish;
	}
}
