package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class RoyalGrammaEntity extends FishEntity
{
	public static final String ID = "RoyalGramma";
	
	public static final int PRIMARY_EGG_COLOUR = 0xFF00D0;
	public static final int SECONDARY_EGG_COLOUR = 0xFFD000;
	
	public RoyalGrammaEntity(World world)
	{
		super(world, Species.RoyalGramma, 0.2, new FishScaleItem[]{ModItemRegistry.RedFishScale, ModItemRegistry.VioletFishScale, ModItemRegistry.IndigoFishScale, ModItemRegistry.YellowFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new RoyalGrammaEntity(this.worldObj);
    }
    
	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedRoyalGramma;
	}
}
