package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.block.ModBlockRegistry;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class TeleportRecipe extends ShapedRecipe
{
	public static final String ID = "Teleport";
	
	public TeleportRecipe()
	{
		super(
			ID,
			new ItemStack(ModBlockRegistry.Teleport),
			new String[] {"PPP", "OGO", "OOO"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('P', ModItemRegistry.Pearl);
		legend.put('O', Item.getItemFromBlock(Blocks.obsidian));		
		legend.put('G', Items.glowstone_dust);		
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
