package org.colinvella.fancyfish.tileentity;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;
import org.colinvella.fancyfish.tileentity.renderer.FishTankTileEntityRenderer;
import org.colinvella.fancyfish.tileentity.renderer.TeleportTileEntityRenderer;

import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraftforge.fml.client.registry.ClientRegistry;

public class ModTileEntityRendererRegistry
{
    private static ModLogger logger;

    public static void registerTileEntityRenderers()
    {
        logger = FancyFishMod.getLogger();
        logger.info("Registering tile entity renderers...");
        registerTileEntityRenderer(FishTankTileEntity.class, new FishTankTileEntityRenderer());
        registerTileEntityRenderer(TeleportTileEntity.class, new TeleportTileEntityRenderer());
    }
    
    private static void registerTileEntityRenderer(Class<? extends ModTileEntity> modTileEntityClass, TileEntitySpecialRenderer tileEntitySpecialRenderer)
    {
    	logger.debug("Registering tile entity special render for class " + modTileEntityClass.getSimpleName() + "...");
    	ClientRegistry.bindTileEntitySpecialRenderer(modTileEntityClass, tileEntitySpecialRenderer);
    }
}

